.node {
    background-color: #555;
    border: 1px solid #aaa;
    border-radius: 10px;
    color: #fff;
    padding: 10px;
    position: absolute;
    width: 200px;
  }
  
  .node-info {
    margin-bottom: 10px;
  }
  
  .node-ports {
    display: flex;
    justify-content: space-between;
  }
  
